#ifndef UTILS_H
#define UTILS_H

#include <SDL.h>

Uint32 gtime(void);
Uint32 longtime(void);

#if 0
void create_unique(void);
void set_unique(Uint32 unique);
Uint32 get_unique(void);
#endif

#define SEED_UNIQUE_SIZE (32 * 4 + 4)
void read_seed_unique(unsigned char* buf);
unsigned char* write_seed_unique(unsigned char* buf);
void create_seed_unique(void);

extern Uint32 network_unique;

int myrand(void);

void nomem(char* str);

int mypause(void);
void pulseon(void);

void hexdump(unsigned char* p, int len);

extern volatile int hc;
extern volatile char interrupted;


#endif